// @flow
import {listView as listViewModel} from '../models';
import {default as settings} from 'settings';
import {transformGetRequest} from 'helpers';

export default (baseURL: string = settings.BASE_URL) => ({
	crud: true,

	transformer: (
		response: {data: Object},
		prevData: Object,
		options?: Object,
	) => transformGetRequest(response, listViewModel, options),

	url: `${baseURL}/API/list-views/:id`,
});
